Bug 207203 - [MAINTAINER] www/node update to 5.6.0
Summary: [MAINTAINER] www/node update to 5.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-15 05:39 UTC by linpct
Modified: 2016-03-14 16:54 UTC (History)
1 user (show)

See Also:


Attachments
node.patch (1.18 KB, text/plain)
2016-02-15 05:39 UTC, linpct
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2016-02-15 05:39:06 UTC

    
Comment 1 linpct 2016-02-15 05:39:09 UTC
Created attachment 167013 [details]
node.patch
Comment 2 commit-hook freebsd_committer 2016-02-16 05:47:03 UTC
A commit references this bug:

Author: vanilla
Date: Tue Feb 16 05:46:58 UTC 2016
New revision: 408976
URL: https://svnweb.freebsd.org/changeset/ports/408976

Log:
  Update to 5.6.0.

  PR:		207203
  Submitted by:	maintainer

Changes:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/pkg-plist
Comment 3 commit-hook freebsd_committer 2016-03-14 16:54:13 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 16:53:30 UTC 2016
New revision: 411105
URL: https://svnweb.freebsd.org/changeset/ports/411105

Log:
  MFH: r406369 r407766 r408976 r409812 r410308 r411104

  - Update to 5.4.1

  Changes:	https://github.com/nodejs/node/blob/master/CHANGELOG.md
  PR:		206222
  Submitted by:	Daniel Lin <linpct@gmail.com> (maintainer)
  Sponsored by:	PortsCamp Taiwan

  - Update to 5.5.0

  Changes:	https://github.com/nodejs/node/blob/master/CHANGELOG.md
  PR:		206628
  Submitted by:	Daniel Lin <linpct@gmail.com> (maintainer)

  Update to 5.6.0.

  PR:		207203
  Submitted by:	maintainer

  Update to 5.7.0.

  PR:		207473
  Submitted by:	maintainer

  - Fix USES=python: it does not build with Python 3

  Approved by:	portmgr (blanket)
  With hat:	python

  www/node: Update to 5.7.1

  Changelog:	https://github.com/nodejs/node/commit/805f054cc7791c447dbb960fbf3b179ea05294ac

  PR:		207832
  Security:	CVE-2016-0702
  Security:	CVE-2016-0705
  Security:	CVE-2016-0797
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/node/Makefile
  branches/2016Q1/www/node/distinfo
  branches/2016Q1/www/node/pkg-plist